<PGTemplate>
  <Category>
    <Name>Object</Name>
    <PGItems>
      <Item>
        <Name>Name</Name>
        <Type>string</Type>
        <Constraints>object_name</Constraints>
      </Item>
      <Item>
        <Name>Text</Name>
        <Type>richtext_text</Type>
        <Constraints/>
      </Item>
    </PGItems>
  </Category>
  <Category>
      <Name>Options</Name>
      <PGItems>
         <Item>
            <Name>VerticalScrollbar</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>HorizontalScrollbar</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>AutoDetectURL</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>Special</Name>
      <PGItems>
         <Item>
            <Name>BorderMode</Name>
            <Type>combo</Type>
            <Constraints>None,Sunken</Constraints>
         </Item>
         <Item>
            <Name>ReadOrder</Name>
            <Type>combo</Type>
            <Constraints>Standard,Right to Left</Constraints>
         </Item>
         <Item>
            <Name>Transparent</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>BackgroundColor</Name>
            <Type>color</Type>
            <Constraints/>
         </Item>
         <Item>
            <Name>ReadOnly</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ContextMenu</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
    <Name>Attributes</Name>
    <PGItems>
      <Item>
        <Name>TooltipText</Name>
        <Type>string</Type>
        <Constraints />
      </Item>
      <Item>
        <Name>Enabled</Name>
        <Type>combo</Type>
        <Constraints>False,True</Constraints>
      </Item>
      <Item>
        <Name>Visible</Name>
        <Type>combo</Type>
        <Constraints>False,True</Constraints>
      </Item>
    </PGItems>
  </Category>
  <Category>
    <Name>Position</Name>
    <PGItems>
      <Item>
        <Name>Left</Name>
        <Type>number</Type>
        <Constraints>-2000,2000</Constraints>
      </Item>
      <Item>
        <Name>Top</Name>
        <Type>number</Type>
        <Constraints>-2000,2000</Constraints>
      </Item>
      <Item>
        <Name>Width</Name>
        <Type>number</Type>
        <Constraints>0,2000</Constraints>
      </Item>
      <Item>
        <Name>Height</Name>
        <Type>number</Type>
        <Constraints>0,2000</Constraints>
      </Item>
    </PGItems>
  </Category>
   <Category>
      <Name>Auto-Resize</Name>
      <PGItems>
         <Item>
            <Name>ResizeLeft</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeRight</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeTop</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeBottom</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
      </PGItems>
   </Category>
</PGTemplate>